Bug 243975 (c2070-review) - Review Request: c2070 - Converts bitcmyk data to Lexmark 2070 printer language
Summary: Review Request: c2070 - Converts bitcmyk data to Lexmark 2070 printer language
Status: CLOSED NEXTRELEASE
Alias: c2070-review
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Marek Mahut
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-13 06:04 UTC by Lubomir Kundrak
Modified: 2007-11-30 22:12 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-04 11:18:44 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mmahut: fedora-review+
wtogami: fedora-cvs+


Attachments (Terms of Use)

Description Lubomir Kundrak 2007-06-13 06:04:59 UTC
Spec URL: http://people.redhat.com/lkundrak/SPECS/c2070.spec
SRPM URL: http://people.redhat.com/lkundrak/SRPMS/c2070-0.99-1.src.rpm
Description: Converts bitcmyk data to Lexmark 2070 printer language

This is a filter to convert bitcmyk data such as produced by ghostscript to
the printer language of Lexmark 2070 printers. It is meant to be used
by the PostScript Description files of the drivers from the foomatic package.

Note: This package is a part of the ongoing effort to extend hardware
support by fixing the foomatic drivers that actually refer to external
filters.

Please note that this package is kind of orphaned -- original upstream web
site and mirror are no longer reachable. Even though the package is in solid
and functional state and widely used also by other operating system vendors
to maintain hardware compatibility.

Comment 1 Lubomir Kundrak 2007-06-20 20:35:14 UTC
New Package CVS Request
=======================
Package Name: c2070
Short Description: Converts bitcmyk data to Lexmark 2070 printer language
Owners: lkundrak@redhat.com
Branches: FC-6 F-7

Comment 2 Josh Boyer 2007-06-20 20:52:15 UTC
this hasn't been properly reviewed yet

Comment 3 Lubomir Kundrak 2007-06-28 22:43:43 UTC
Marek: the problem you complained about should be fixed in these new packages:
SPEC: http://people.redhat.com/lkundrak/SPECS/c2070.spec
SRPM: http://people.redhat.com/lkundrak/SRPMS/c2070-0.99-2.src.rpm


Comment 4 Marek Mahut 2007-06-29 20:14:41 UTC
+ source files match upstream:
	f503ac3b8f38c39538721843924e2951  /usr/src/redhat/SOURCES/c2070-0.99.tar.gz
+ package meets naming and versioning guidelines.
+ specfile is properly named, is cleanly written and uses macros consistently.
+ dist tag is present.
+ build root is correct.
      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
+ license field matches the actual license.
+ license is open source-compatible. 
+ latest version is being packaged.
+ compiler flags are appropriate.
+ %clean is present.
+ package installs properly
+ debuginfo package looks complete.
+ rpmlint is silent.
+ final provides and requires are sane:
  [root@storm c2070]# rpm -qp --provides
/usr/src/redhat/RPMS/i386/c2070-0.99-2.fc8.i386.rpm 
  c2070 = 0.99-2.fc8
  [root@storm c2070]# rpm -qp --requires
/usr/src/redhat/RPMS/i386/c2070-0.99-2.fc8.i386.rpm
  libc.so.6  
  libc.so.6(GLIBC_2.0)  
  libc.so.6(GLIBC_2.1)  
  libc.so.6(GLIBC_2.4)  
  rpmlib(CompressedFileNames) <= 3.0.4-1
  rpmlib(PayloadFilesHavePrefix) <= 4.0-1
  rtld(GNU_HASH)  
  [root@storm c2070]# 
+ doesn't own any directories it shouldn't.
+ no duplicates in %files.
+ file permissions are appropriate.


APPROVED

Comment 5 Lubomir Kundrak 2007-07-04 11:16:10 UTC
Thanks to Marek, Josh and Warren. The package was imported into CVS.


Note You need to log in before you can comment on or make changes to this bug.